Bug 61976 - [PATCH] - Proposal to fix OpenBSD build
Summary: [PATCH] - Proposal to fix OpenBSD build
Status: RESOLVED FIXED
Alias: None
Product: APR
Classification: Unclassified
Component: APR (show other bugs)
Version: HEAD
Hardware: PC OpenBSD
: P2 normal (vote)
Target Milestone: ---
Assignee: Apache Portable Runtime bugs mailinglist
URL:
Keywords: FixedInTrunk
Depends on:
Blocks:
 
Reported: 2018-01-08 22:13 UTC by David CARLIER
Modified: 2018-04-03 22:08 UTC (History)
0 users



Attachments
Diff (1.00 KB, patch)
2018-01-08 22:13 UTC, David CARLIER
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David CARLIER 2018-01-08 22:13:28 UTC
Created attachment 35660 [details]
Diff

1/ Fixing a typo.
2/ The net/if.h header detection fails since it needs sys/socket.h as well on OpenBSD.
Comment 1 David CARLIER 2018-01-11 11:07:50 UTC
Partially addressed in this commit

https://github.com/apache/apr/commit/8d78010883dce847b298f86f7e4c9e8fff914102
Comment 2 Yann Ylavic 2018-03-22 22:47:46 UTC
Just committed the "configure" bits in r1827534.
Thanks for the patch.
Comment 3 Yann Ylavic 2018-04-03 22:08:57 UTC
Backported to 1.6.x (r1828284) and 1.7.x (r1828282).